Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

I'm running Ubuntu 12.04 using Gnome3 through their ppa in launchpad. Went good until now. Today Ubuntu wanted to make some updates and I thought okay. But it didn't want to install all of them. Turned out there were not all dependencies in the ppa. Before I noticed that, I (noob :D) uninstalled (apt-get purge) Transmission in order to reinstall it. Bad Idea, because now I can't install it, even using synaptics.

The problem: It seems like the only ppas that have transmission in it are the one from gnome3 team (not all packages included according to synaptics, v2.71) and the official (transmission-common missing, v2.61). So when I try to install a package it says that transmission-common is too new. I can't even find the version that should be somewhere in the official standard Ubuntu ppa. Installing from the Software center doesn't work either.

Why aren't all dependencies in the ppas or why can't I see them? How can I install Transmission (stable, newest version) again? And why has the gnome3 team a newer version as the stable ppa of transmission? Are they including beta software?

If you need any additional information just tell me. Sorry I think it's quiet confusing what I did there. Thanks in advance.

EDIT1 Okay sorry, I should have explained better. When I try to install it tells me something of dependency problems.

When I try sudo apt-get install ...

it says:

Die folgenden Pakete haben unerfüllte Abhängigkeiten: transmission-cli : Hängt ab von: transmission-common (= 2.61-0ubuntu0.12.04.1) aber 2.71-0ubuntu1~precise1 soll installiert werden transmission-daemon : Hängt ab von: transmission-common (= 2.61-0ubuntu0.12.04.1) aber 2.71-0ubuntu1~precise1 soll installiert werden transmission-gtk : Hängt ab von: transmission-common (= 2.61-0ubuntu0.12.04.1) aber 2.71-0ubuntu1~precise1 soll installiert werden E: Probleme können nicht korrigiert werden, Sie haben zurückgehaltene defekte Pakete.

Unfortunately I'm using Ubuntu in German.

Here a picture of synaptics (I didn't know how to show better): https://dl.dropbox.com/u/8240739/Synaptic-Paketverwaltung%20_002.png Maybe it helps.

share|improve this question
add comment

1 Answer

up vote 0 down vote accepted

Step 1: Add Transmission PPA Repository

Transmission is readily available in Ubuntu repository. However, Ubuntu repository is usually a bit slow on updating versions. So if you are like me and would like to have the latest version as soon as possible, then add the PPA repository as described below. If not proceed to step 2.

sudo add-apt-repository ppa:transmissionbt/ppa

Step 2: Install Transmission Web Interface

Then update packages list and install Transmission:

sudo apt-get update
sudo apt-get install transmission-cli transmission-common transmission-daemon

If you want the full desktop gui software then use:

sudo apt-get update
sudo apt-get install transmission-gtk transmission-cli transmission-common transmission-daemon

Step 3: Configure Users and Permissions

It is recommended that Transmission runs under it’s own username for security reasons. This creates a few issues with file and folder access by Transmission as well as your account (let us assume it is user). You will have to create a new set of folders for Transmission to read/write/execute (example: transmission folder containing these subfolders: completed, incomplete, and torrents). The account user also needs full control over these folders and their contents. I recommend reading this post to familiarize yourself with safely changing user groups and permissions.

First, cd to the desired folder and create a folder for Transmission to use:

cd /home/user/Downloads
mkdir transmission
cd transmission
mkdir completed incomplete torrents

Then, add the username user to the group debian-transmission:

sudo usermod -a -G debian-transmission user

This will add debian-transmission as a secondary group to the account user, resulting in access to both Transmission and user. Then, change the ownership of the Transmission download folders to the group debian-transmission:

sudo chgrp -R debian-transmission /home/user/Downloads/transmission

Next, change the permissions for the transmission download folders to allow read, write, and execute for Transmission and user:

sudo chmod -R 775 /home/user/Downloads/transmission

This gives the group debian-transmission, of which both Transmission and user are members of, full access while others get only read and execute permissions. If you want to further restrict access for others you could use 774 (read only) or 770 (no access).

share|improve this answer
    
There is still some sort of dependency problem here. In order to reinstall transmission, I had to pin my version of transmission-common to 2.61, which sort of defeats the purpose of upgrading in the first place... –  jat255 Sep 28 '12 at 15:12
    
Step 2 doesn't work for me. I edited the reason into my question. Sorry. But Step 3 is very interesting, I'll take a look at it when it worked ;) @jtaillon "to pin"? I don't even have a version 2.61 of transmission-common available in my ppas, even though I have the official stable ppa added (same as maythux in step1). I have a version 2.71 in the gnome3 ppa but since I don't have the other needed 2.71 packages this somehow doesn't work at all. I have no explanation how all this happened. –  chocobai Sep 28 '12 at 15:54
    
@chocobai, if you go into synaptic and search for transmission-common, highlight it, and then go to the 'Package' menu and choose "Force version..." If I selected 2.61 for that, I was able to install transmission-common as well as transmission-gtk –  jat255 Sep 28 '12 at 19:13
    
Thank you, that worked! But how did this happen? I guess synaptic hid the older version because there was a newer one? But then why is Transmission in the Gnome ppa without it's dependencies? –  chocobai Sep 28 '12 at 22:56
1  
If so, you have to mark as accepted answer and please upvote to help othres having the same problem to know that this answer will help –  user61928 Sep 29 '12 at 4:56
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.